com.tibbo.aggregate.common.event

## Class EventLevel

- java.lang.Object
- - com.tibbo.aggregate.common.event.EventLevel

-     public class EventLevel
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR`
    `static int` | `FATAL`
    `static int` | `INFO`
    `static int` | `NONE`
    `static int` | `NOTICE`
    `static int` | `NUM_LEVELS`
    `static int` | `WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventLevel()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getName(java.lang.Integer level)`
    `static java.util.Map<java.lang.Object,java.lang.String>` | `getSelectionValues()`
    `static boolean` | `isValid(int level)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NUM_LEVELS

          public static final int NUM_LEVELS

      See Also:
        Constant Field Values

    - #### NONE

          public static final int NONE

      See Also:
        Constant Field Values

    - #### NOTICE

          public static final int NOTICE

      See Also:
        Constant Field Values

    - #### INFO

          public static final int INFO

      See Also:
        Constant Field Values

    - #### WARNING

          public static final int WARNING

      See Also:
        Constant Field Values

    - #### ERROR

          public static final int ERROR

      See Also:
        Constant Field Values

    - #### FATAL

          public static final int FATAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EventLevel

          public EventLevel()

  - ### Method Detail

    - #### isValid

          public static boolean isValid(int level)

    - #### getName

          public static java.lang.String getName(java.lang.Integer level)

    - #### getSelectionValues

          public static java.util.Map<java.lang.Object,java.lang.String> getSelectionValues()